
TYPO3.Flow - Bug # 27721

Status: Needs Feedback Priority: Should have
Author: Karsten Dambekalns Category: Resource
Created: 2011-06-27 Assigned To: Karsten Dambekalns
Updated: 2012-03-15 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Permissions of uploaded resources not correct
Description

The permissions are not correct and furthermore the setgid bit doesn't have any effect.

History
#1 - 2011-06-27 18:08 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

The use of move_uploaded_file() obviously "creates" a new file at the target, that's why the setgid bit is effective. With rename() the file is moved
"together" with it's group, so no setgid bit taking effect (also not using plain mv in a shell).

The question now is, do we want to add a group and/or permission setting for files created by FLOW3 to use chgrp() and chmod() to set accordingly?

#2 - 2011-10-20 01:43 - Karsten Dambekalns
- Target version deleted (1230)

#3 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#4 - 2011-12-15 18:07 - Karsten Dambekalns
- Has patch set to No

Robert, any strong emotions about this one?

#5 - 2011-12-15 18:12 - Robert Lemke

Hmm, would copy + unlink be a feasible workaround?

#6 - 2012-02-15 11:01 - Bastian Waidelich
- Subject changed from Permissiosn of uploaded resources not correct to Permissions of uploaded resources not correct

#7 - 2012-03-14 14:44 - Christian Müller

Isn't the current state enough with calling fixFilePermissions after move_uploaded_file()
#8 - 2012-03-15 10:37 - Karsten Dambekalns

Christian Mueller wrote:

Isn't the current state enough with calling fixFilePermissions after move_uploaded_file()

No, because that only does a chmod() but move_uploaded_file() "ignores" the setgid bit, as I pointer out above. What would be more interesting is if we
ignore this, document it somehow and can live with ACLs - because it should work fine.
